//! Meta-information exposing functions.

use maraiah::{ffi, meta};

macro_rules! meta_str {
   ($($name:ident = $e:expr;)*) => {
      $(
      #[no_mangle]
      pub extern "C" fn $name() -> ffi::NT
      {
         $e
      }
      )*
   }
}

meta_str!(
   tychoAuthors     = meta::ffi::AUTHORS_C;
   tychoHomepage    = meta::ffi::HOMEPAGE_C;
   tychoLicenseText = meta::ffi::LICENSE_TEXT_C;
   tychoRepository  = meta::ffi::REPOSITORY_C;
   tychoVersion     = meta::ffi::VERSION_C;
);

// EOF
